Page MenuHomeFreeBSD

New port: sysutils/gomplate
ClosedPublic

Authored by seanc on May 6 2018, 5:04 PM.

Details

Summary

Gomplate is a template-based CLI tool. gomplate supports additional
template datasources such as: JSON, YAML, AWS EC2 metadata, BoltDB,
sockaddr, Hashicorp Consul, and Hashicorp Vault secrets.

Gomplate lets you process templates which also include shell-like
variables. Also there are some useful built-in functions that can be
used to make templates even more expressive.

WWW https://gomplate.hairyhenderson.ca

Test Plan
  1. poudriere testport's clean

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

seanc created this revision.May 6 2018, 5:04 PM
mat added inline comments.May 9 2018, 10:16 AM
gomplate/Makefile
27 ↗(On Diff #42208)

Isn't there a missing patch that will replace the actual values in the files with the %%foo%% placeholders.

seanc updated this revision to Diff 42425.May 11 2018, 7:04 PM

Remove unnecessary post-patch step.

swills accepted this revision.May 11 2018, 8:02 PM
This revision is now accepted and ready to land.May 11 2018, 8:02 PM
This revision was automatically updated to reflect the committed changes.